org.eclipse.viatra.addon.databinding.runtime.collection

## Class ObservableCollectionProcessor<Match extends IPatternMatch>

- java.lang.Object
- - org.eclipse.viatra.addon.databinding.runtime.collection.ObservableCollectionProcessor<Match>

- Type Parameters:
    `Match` -
  All Implemented Interfaces:
    IMatchProcessor<Match>

      public class ObservableCollectionProcessor<Match extends IPatternMatch>
      extends java.lang.Object
      implements IMatchProcessor<Match>

  Match processor that can be parameterized with a `Direction` and an `IObservablePatternMatchCollectionUpdate`. It can be registered for rules that take care of keeping the observable collection up-to-date (see `ObservableCollectionHelper#createRuleInAgenda`).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableCollectionProcessor(Direction direction, IObservablePatternMatchCollectionUpdate<Match> collection)` Creates a processor with the given direction and observable collection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(Match match)` Defines the action that is to be executed on each match.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObservableCollectionProcessor

          public ObservableCollectionProcessor(Direction direction,
                                               IObservablePatternMatchCollectionUpdate<Match> collection)

      Creates a processor with the given direction and observable collection.
      Parameters:
        `direction` - the `Direction` of updates that are handled
        `collection` - the `IObservablePatternMatchCollectionUpdate` to manage

  - ### Method Detail

    - #### process

          public void process(Match match)

      Description copied from interface: `IMatchProcessor`
      Defines the action that is to be executed on each match.
      Specified by:
        `process` in interface `IMatchProcessor<Match extends IPatternMatch>`
      Parameters:
        `match` - a single match of the pattern that must be processed by the implementation of this method